# pion::net::TCPTimer Class Reference

`#include <TCPTimer.hpp>`

List of all members.

## Detailed Description

TCPTimer: helper class used to time-out TCP connections

Definition at line 28 of file TCPTimer.hpp.

## Public Member Functions

| TCPTimer (TCPConnectionPtr &conn_ptr)
void | start (const boost::uint32_t seconds)
void | cancel (void)
| cancel the timer (operation completed)

## Constructor & Destructor Documentation

pion::net::TCPTimer::TCPTimer | ( | TCPConnectionPtr & | conn_ptr | ) |

creates a new TCP connection timer

Parameters:

  | conn_ptr | pointer to TCP connection to monitor

Definition at line 20 of file TCPTimer.cpp.

## Member Function Documentation

void pion::net::TCPTimer::start | ( | const boost::uint32_t | seconds | ) |

starts a timer for closing a TCP connection

Parameters:

  | seconds | number of seconds before the timeout triggers

Definition at line 26 of file TCPTimer.cpp.

The documentation for this class was generated from the following files:

- net/include/pion/net/TCPTimer.hpp
- net/src/TCPTimer.cpp